#!/usr/bin/perl -w

require '/var/smoothwall/header.pl';

my %cgiparams;

print "Content-type: text/html\n\n";

$cgiparams{'ACTION_ADMIN'} = '';
$cgiparams{'ACTION_DIAL'} = '';

&getcgihash(\%cgiparams);

$errormessage = '';

if ($cgiparams{'ACTION_ADMIN'} eq 'Save')
{
	$password1 = $cgiparams{'ADMIN_PASSWORD1'};
	$password2 = $cgiparams{'ADMIN_PASSWORD2'};	
	if ($password1 eq $password2)
	{
		if ($password1 ne '')
		{
			system('/usr/bin/htpasswd', '-b', "${swroot}/auth/users", 'admin', "${password1}");
			&log('Admin user password has been changed.');
		}
		else {
			$errormessage = "Password can't be blank."; }
	}
	else {
		$errormessage = "Passwords do not match."; }
}

if ($cgiparams{'ACTION_DIAL'} eq 'Save')
{
	$password1 = $cgiparams{'DIAL_PASSWORD1'};
	$password2 = $cgiparams{'DIAL_PASSWORD2'};	
	if ($password1 eq $password2)
	{
		if ($password1 ne '')
		{
			system('/usr/bin/htpasswd', '-b', "${swroot}/auth/users", 'dial', "${password1}"); 
			&log('Dial user password has been changed.');
		}
		else {
			$errormessage = "Password can't be blank."; }
	}
	else {
		$errormessage = 'Passwords do not match.'; }
}

&openpage('Change passwords', 1);

&openbigbox('100%', 'LEFT');

print "<FORM METHOD='POST'>\n";

&openbox('100%', 'LEFT', 'Administrator user password:');
print <<END
<TABLE WIDTH='100%'>
<TR>
	<TD>Password:</TD>
	<TD><INPUT TYPE='password' NAME='ADMIN_PASSWORD1'></TD>
	<TD>Again:</TD>
	<TD><INPUT TYPE='password' NAME='ADMIN_PASSWORD2'></TD>
	<TD><INPUT TYPE='submit' NAME='ACTION_ADMIN' VALUE='Save'></TD>
</TR>
</TABLE>
END
;
&closebox();

&openbox('100%', 'LEFT', 'Dial user  password:');
print <<END
<TABLE WIDTH='100%'>
<TR>
	<TD>Password:</TD>
	<TD><INPUT TYPE='password' NAME='DIAL_PASSWORD1'></TD>
	<TD>Again:</TD>
	<TD><INPUT TYPE='password' NAME='DIAL_PASSWORD2'></TD>
	<TD><INPUT TYPE='submit' NAME='ACTION_DIAL' VALUE='Save'></TD>
</TR>
</TABLE>
END
;
&closebox();

&openbox('100%', 'LEFT', 'Error messages:');
print "$errormessage\n";
print "&nbsp;\n";
&closebox();

print <<END
<DIV ALIGN='CENTER'>
<TABLE WIDTH='60%'>
<TR>
	<TD ALIGN='CENTER'><A HREF='/cgi-bin/index.cgi'>BACK</A></TD>
	<TD ALIGN='CENTER'><A HREF='/configure.html#3.2.'>HELP</A></TD>
</TR>
</TABLE>
</DIV>
END
;

print "</FORM>\n";

&closebigbox();

&closepage();
