#!/usr/bin/perl -w

require '/var/smoothwall/header.pl';

my %remotesettings;

print "Content-type: text/html\n\n";

$remotesettings{'ENABLE_TELNET'} = 'off';
$remotesettings{'ENABLE_FTP'} = 'off';
$remotesettings{'ACTION'} = '';
&getcgihash(\%remotesettings);

$errormessage = '';
if ($remotesettings{'ACTION'} eq 'Save')
{
	&writehash("${swroot}/remote/settings", \%remotesettings);
	open(FILE, ">/${swroot}/remote/inetd.conf") or die "Unable to write ident.conf file";
	if ($remotesettings{'ENABLE_TELNET'} eq 'on') {
		print FILE "telnet stream tcp nowait root /usr/sbin/tcpd in.telnetd\n"; }
	else {
		print FILE "# no telnet\n"; }
	if ($remotesettings{'ENABLE_FTP'} eq 'on') {
		print FILE "ftp stream tcp nowait root /usr/sbin/tcpd in.ftpd\n"; }
	else {
		print FILE "# no ftp\n"; }
	close FILE;

	&log('HUPing inetd.');
	system '/usr/local/bin/hupinet';

        if ($remotesettings{'ENABLE_SSH'})
	{
		&log('SSH is enabled.  Restarting.');
                system ('/bin/touch', "${swroot}/remote/enablessh");
	}
        else
	{
		&log('SSH is disabled.  Stopping.');
                unlink "${swroot}/remote/enablessh";
	} 

	system '/usr/local/bin/restartssh';
}

&readhash("${swroot}/remote/settings", \%remotesettings);

$checked{'ENABLE_SSH'}{'off'} = '';
$checked{'ENABLE_SSH'}{'on'} = '';
$checked{'ENABLE_SSH'}{$remotesettings{'ENABLE_SSH'}} = 'CHECKED';

$checked{'ENABLE_TELNET'}{'off'} = '';
$checked{'ENABLE_TELNET'}{'on'} = '';
$checked{'ENABLE_TELNET'}{$remotesettings{'ENABLE_TELNET'}} = 'CHECKED';

$checked{'ENABLE_FTP'}{'off'} = '';
$checked{'ENABLE_FTP'}{'on'} = '';
$checked{'ENABLE_FTP'}{$remotesettings{'ENABLE_FTP'}} = 'CHECKED';

&openpage('Remote access', 1);

&openbigbox('100%', 'LEFT');

print "<FORM METHOD='POST'>\n";

&openbox('100%', 'LEFT', 'Remote access:');
print <<END
<TABLE WIDTH='100%'>
<TR>
	<TD>Ssh:</TD>
	<TD><INPUT TYPE='checkbox' NAME='ENABLE_SSH' $checked{'ENABLE_SSH'}{'on'}></TD>
	<TD>Telnet:</TD>
	<TD><INPUT TYPE='checkbox' NAME='ENABLE_TELNET' $checked{'ENABLE_TELNET'}{'on'}></TD>
	<TD>Ftp:</TD>
	<TD><INPUT TYPE='checkbox' NAME='ENABLE_FTP' $checked{'ENABLE_FTP'}{'on'}></TD>
</TR>
</TABLE>
END
;
&closebox();

&openbox('100%', 'LEFT', 'Error messages:');
print "$errormessage";
print "&nbsp;";
&closebox();

print <<END
<DIV ALIGN='CENTER'>
<TABLE WIDTH='60%'>
<TR>
	<TD ALIGN='CENTER'><INPUT TYPE='submit' NAME='ACTION' VALUE='Save'></TD> 
	<TD ALIGN='CENTER'><A HREF='/cgi-bin/index.cgi'>BACK</A></TD>
	<TD ALIGN='CENTER'><A HREF='/configure.html#3.3.'>HELP</A></TD>
</TR>
</TABLE>
</DIV>
END
;

print "</FORM>\n";

&closebigbox();

&closepage();
